Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.model
Class TextboxShape

    java.lang.Object
      org.apache.poi.hssf.model.AbstractShape
          org.apache.poi.hssf.model.TextboxShape

public class TextboxShape
extends AbstractShape

Represents an textbox shape and converts between the highlevel records and lowlevel records for an oval.

Author:
  Glen Stampoultzis (glens at apache.org)

Method Summary
`EscherRecord` | `getEscherTextbox()`
`ObjRecord` | `getObjRecord()`
`EscherContainerRecord` | `getSpContainer()`
`TextObjectRecord` | `getTextObjectRecord()`

Methods inherited from class org.apache.poi.hssf.model.AbstractShape
`addStandardOptions, createAnchor, createShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSpContainer

    public EscherContainerRecord getSpContainer()

  Specified by:
    `getSpContainer` in class `AbstractShape`
  Returns:
    The shape container and it's children that can represent this shape.

### getObjRecord

    public ObjRecord getObjRecord()

  Specified by:
    `getObjRecord` in class `AbstractShape`
  Returns:
    The object record that is associated with this shape.

### getTextObjectRecord

    public TextObjectRecord getTextObjectRecord()

### getEscherTextbox

    public EscherRecord getEscherTextbox()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.